Bug 251792 - Disabling show_desktop in /apps/nautilus/preferences/show_desktop also disables right-click.
Disabling show_desktop in /apps/nautilus/preferences/show_desktop also disabl...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 05:47 EDT by Chris Moller
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 05:08:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Moller 2007-08-11 05:47:32 EDT
Disabling the show_desktop checkbox in /apps/nautilus/preferences/show_desktop
in gconf-editor also disables the desktop right-click menu (the one that usually
shows "open terminal,"  "run command," etc.) but, worse, re-enabling the
check_box doesn't get the right-click menu back.

Version-Release number of selected component (if applicable):
gnome-desktop-2.19.6-1.fc8 on a rawhide machine and gnome-desktop-2.10.0-5 on an
old FC4 machine.  (I'm assuming it's a gnome-desktop failure, but, just in case,
the gconf-editors involved are gconf-editor-2.18.0-1.fc7 and
gconf-editor-2.10.0-5 respectively.)

How reproducible:
100% on two of my machines.


Steps to Reproduce:
1.  Start gconf-editor
2.  Expand Apps
3.  Expand Nautilus
4.  Open Preferences
5.  Click the show_desktop checkbox. (The mounted-filesystem icons disappear.)
6.  Right-click on the desktop--no menu pops up.
7.  Click the show_desktop checkbox again.  The icons do not reappear (I just
noticed that.)
8.  Right-click on the desktop again--still no menu popup.
  
Actual results:
Both the desktop right-click response and the mounted-filesystem icons seem to
be permanently disabled by turning off show_desktop and cannot be re-enabled by
turning show_desktop back on.


Expected results:
Turning show_desktop off probably shouldn't disable the right-click response in
the first place--all, I assume, it should do is kill the icons--but certainly
re-enabling it should undo whatever disabling it did.


Additional info:
I'm only guessing this is a gnome-desktop problem.  It could be a gconf-editor
problem or, for that matter, some other problem altogether.
Comment 1 Matthias Clasen 2007-08-11 15:57:22 EDT
Happens in rawhide, too.
Comment 2 Chris Moller 2007-08-13 10:15:59 EDT
It appears that turning the "show_desktop checkbox" back on actually works, but
only after rebooting the machine, or perhaps by otherwise somehow restating some
app (nautilus?)
Comment 3 Matthias Clasen 2007-08-13 10:42:45 EDT
sure, if you restart nautilus, it picks up the current setting.
Comment 4 Alexander Larsson 2007-08-29 05:08:54 EDT
Not having a menu on the desktop when nautilus isn't handling the desktop isn't
really a bug. How could it do anything on the desktop when told not do do
anything on the desktop? Nautilus isn't even getting those events.

The second problem is that turning show_desktop on in gconf-editor doesn't
launch nautilus. This is not really possible to fix without say *always* running
nautilus (even when disabled) just to listen to that confinguration key. Which
makes no sense.

Note You need to log in before you can comment on or make changes to this bug.